Installing rasa x error

2022-01-09 14:21:50 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
2022-01-09 14:21:52 ERROR    concurrent.futures  - exception calling callback for <Future at 0x2b998b39c88 state=finished raised gaierror>
Traceback (most recent call last):
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\concurrent\futures\thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\socket.py", line 752, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\concurrent\futures\_base.py", line 324, in _invoke_callbacks
    callback(self)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\futures.py", line 365, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\base_events.py", line 732, in call_soon_threadsafe
    self._check_closed()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\base_events.py", line 479, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2022-01-09 14:21:52 ERROR    concurrent.futures  - exception calling callback for <Future at 0x2b998b39ec8 state=finished returned list>
Traceback (most recent call last):
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\concurrent\futures\_base.py", line 324, in _invoke_callbacks
    callback(self)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\futures.py", line 365, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\base_events.py", line 732, in call_soon_threadsafe
    self._check_closed()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\base_events.py", line 479, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
Traceback (most recent call last):
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\cli\x.py", line 502, in run_locally
    domain_path=domain_path,
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\local.py", line 257, in main
    common_utils.run_in_loop(model_service.discover_models())
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\utils\common.py", line 900, in run_in_loop
    return loop.run_until_complete(coro)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\asyncio\base_events.py", line 583, in run_until_complete
    return future.result()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 821, in discover_models
    await model_service.discover_models()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 147, in discover_models
    await _run_loop(max_retries, sleep_in_seconds)
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 133, in _run_loop
    await self._discover_models()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 185, in _discover_models
    minimum_version = await self._retry_fetching_minimum_compatible_version()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 174, in _retry_fetching_minimum_compatible_version
    minimum_version = await self.minimum_compatible_version()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\model_service.py", line 160, in minimum_compatible_version
    info = await stack_service.version()
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasax\community\services\stack_service.py", line 115, in version
    timeout=timeout_in_seconds,
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\aiohttp\client.py", line 619, in _request
    break
  File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\aiohttp\helpers.py", line 656, in __exit__
    raise asyncio.TimeoutError from None
concurrent.futures._base.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

someone can help me with the error

@Syamirul1992 share me the rasa --version? ,and confirm are you able to see the bot in default browser and also able to talk?

(rasainit) C:\Users\Amin\Desktop\Rasainit>rasa init Welcome to Rasa! :robot:

To get started quickly, an initial project will be created. If you need some help, check out the documentation at Introduction to Rasa Open Source. Now let’s start! :point_down:t4:

? Please enter a path where the project will be created [default: current directory] ? Directory ‘C:\Users\Amin\Desktop\Rasainit’ is not empty. Continue? Yes Created project directory at ‘C:\Users\Amin\Desktop\Rasainit’. Finished creating project structure. ? Do you want to train an initial model? :muscle:t4: Yes Training an initial model… Traceback (most recent call last): File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 64, in from tensorflow.python._pywrap_tensorflow_internal import * ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\Amin\anaconda3\envs\rasainit\lib\runpy.py”, line 193, in run_module_as_main “main”, mod_spec) File “C:\Users\Amin\anaconda3\envs\rasainit\lib\runpy.py”, line 85, in run_code exec(code, run_globals) File "C:\Users\Amin\anaconda3\envs\rasainit\Scripts\rasa.exe_main.py", line 7, in File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa_main.py", line 117, in main cmdline_arguments.func(cmdline_arguments) File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\cli\scaffold.py”, line 235, in run init_project(args, path) File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\cli\scaffold.py”, line 130, in init_project print_train_or_instructions(args, path) File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\cli\scaffold.py”, line 69, in print_train_or_instructions training_result = rasa.train(domain, config, training_files, output) File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\api.py”, line 106, in train from rasa.model_training import train_async File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\model_training.py”, line 22, in from rasa.nlu.model import Interpreter File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\nlu\model.py”, line 14, in from rasa.nlu import components, utils File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\nlu\components.py”, line 7, in import rasa.utils.train_utils File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\utils\train_utils.py”, line 39, in from rasa.utils.tensorflow.callback import RasaTrainingLogger, RasaModelCheckpoint File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\rasa\utils\tensorflow\callback.py”, line 5, in import tensorflow as tf File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow_init_.py”, line 41, in from tensorflow.python.tools import module_util as module_util File "C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python_init.py", line 40, in from tensorflow.python.eager import context File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python\eager\context.py”, line 35, in from tensorflow.python import pywrap_tfe File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python\pywrap_tfe.py”, line 28, in from tensorflow.python import pywrap_tensorflow File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 83, in raise ImportError(msg) ImportError: Traceback (most recent call last): File “C:\Users\Amin\anaconda3\envs\rasainit\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 64, in from tensorflow.python._pywrap_tensorflow_internal import * ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

Failed to load the native TensorFlow runtime.

See त्रुटि संदेश बनाएँ और स्थापित करें  |  TensorFlow

for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

Suddently unable to run the bot (rasainit) C:\Users\Amin\Desktop\Rasainit>rasa --version Rasa Version : 2.8.1 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.39.3 Python Version : 3.7.6 Operating System : Windows-10-10.0.19041-SP0 Python Path : C:\Users\Amin\anaconda3\envs\rasainit\python.exe

@Syamirul1992 what did you recently did with the environment, the error say missing DLL file for tensorflow, did you tried update the tensor flow?

any specific TensorFlow that I can choose

@Syamirul1992 I’d rather recommend starting with the fresh process and please ref this thread: Getting error while running rasa x locally - #4 by nik202

1 Like

thank you problem solve